require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();


SManager:AddAppetizer(AppetizerType.SKEWERS, "skewersChicken", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpGarlic", true);

SManager:AddMeal(MealType.STEAK, "steakFiletMignon", true);
SManager:AddMeal(MealType.VEGGIE, "veggie", false);
SManager:AddMeal(MealType.CHICKEN, "chickenHoney", false);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMAruba", false);
SManager:AddHoneymoon(HoneymoonType.SAFARI, "HMKenya", true);
SManager:AddHoneymoon(HoneymoonType.CAMP, "HMYellowstone", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");